Skip to main content
GET
Get an indexed page

Authorizations

Authorization
string
header
required

Personal API key created in the dashboard under Settings > API keys.

Path Parameters

page_id
integer
required

Query Parameters

time_range
enum<string> | null

Preset the pages' search clicks and impressions add up over (counted back from the latest day with data). Omitted: all time.

Available options:
all_time,
1y,
1m,
1w,
1d
date_from
string<date> | null

Custom range start, inclusive. Wins over time_range.

date_to
string<date> | null

Custom range end, inclusive. Wins over time_range.

website_id
integer
required

Target website id

Response

Successful Response

id
integer
required
website_id
integer
required
url
string
required
category
enum<string>
required
Available options:
global,
home_page,
blog_post,
blog_list_page,
service_page,
product_page,
pricing_page,
landing_page,
docs_page,
knowledge_base_article,
faq_page,
about_page,
contact_page,
checkout_page,
other,
default,
unreachable,
case_study,
guide,
product_list_page,
cart_page,
legal_page,
auth_page,
category_page,
search_page,
utility_page,
glossary_page,
comparison_page,
use_case_page,
ecommerce_product_page
category_source
enum<string>
required
Available options:
auto_heuristic,
auto_llm,
manual,
sitemap
health_check_passed
boolean
required
is_active
boolean
required
is_indexable
boolean
required
created_at
string<date-time>
required
title
string | null
meta_description
string | null
language
string | null
http_status_code
integer | null
last_crawled_at
string<date-time> | null
last_changed_at
string<date-time> | null
last_health_check_at
string<date-time> | null
health_errors
HealthErrorSchema · object[]
search_metrics
PageSearchMetricsSchema · object